WordPress.org

Make WordPress Core

Opened 5 months ago

Last modified 4 months ago

#42873 new defect (bug)

Customize: Allow themes to be installed when SFTP credentials required

Reported by: celloexpressions Owned by:
Milestone: Future Release Priority: normal
Severity: normal Version: 4.9
Component: Customize Keywords: has-patch
Focuses: Cc:

Description (last modified by westonruter)

Split out from #42184.

Next steps:

  • Revert [41997]
  • Use 42184.2.diff
  • Fix the two known bugs: incorrect labels after cancelling the modal, and fix broken buttons after cancelling the modal

Note that with 42184.2.diff, SFTP appears to work as expected. The only issues are with canceling the modal, which happens much more in testing than in practice. [41997] seems like an overreaction to the minor bugs that we need to track down with that, which may seem worse than they are because they are more apparent in a testing workflow than in real usage. Either way, the fixes for that should not be particularly difficult. I'm not planning on working on this issue further, so someone else can take it on.

Change History (3)

#1 @westonruter
5 months ago

  • Description modified (diff)
  • Keywords has-patch added

This ticket was mentioned in Slack in #core-customize by westonruter. View the logs.


4 months ago

#3 @westonruter
4 months ago

  • Milestone changed from 4.9.2 to Future Release
Note: See TracTickets for help on using tickets.